View Issue Details

IDProjectCategoryView StatusLast Update
0017222LazarusFCLpublic2010-10-19 17:57
ReporterlainzAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformi386-win32OSWindowsOS VersionWindows 7
Product VersionProduct BuildLazarus 0.9.29 SVN 27091 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017222: TShellListView.mask
DescriptionWhen i set the mask in TShellListView only works with a sigle extension.
Steps To Reproduce1) Add an TShellListView object from "Misc"
2) Add an TShellTreeView object from "Misc"
3) Vinculate them with the Object Inspector (TShellListView1 with TShellTreeView1)
4) Use the mask option:

TShellListView1.mask := '*.txt'; // this works, filter by extension all .txt files

TShellListView1.mask := '*.txt;*.bmp'; // this doesn't works, no files are showed
Additional Informationhttp://lazarus.freepascal.org/index.php/topic,10245.0.html
TagsNo tags attached.
Fixed in Revision27576
LazTarget-
Widgetset
Attached Files

Activities

2010-08-21 21:01

 

shell_list_view_mask.zip (5,051 bytes)

lainz

2010-10-19 17:57

reporter   ~0041916

Works fine.

lainz

2010-10-19 17:57

reporter   ~0041917

Thankyou solved.

Issue History

Date Modified Username Field Change
2010-08-20 19:40 lainz New Issue
2010-08-20 20:40 Vincent Snijders Project FPC => Lazarus
2010-08-21 21:01 lainz File Added: shell_list_view_mask.zip
2010-08-22 08:18 Felipe Monteiro de Carvalho Status new => assigned
2010-08-22 08:18 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2010-10-04 17:09 Felipe Monteiro de Carvalho Fixed in Revision => 27576
2010-10-04 17:09 Felipe Monteiro de Carvalho LazTarget => -
2010-10-04 17:09 Felipe Monteiro de Carvalho Status assigned => resolved
2010-10-04 17:09 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2010-10-04 17:09 Felipe Monteiro de Carvalho Resolution open => fixed
2010-10-19 17:57 lainz Note Added: 0041916
2010-10-19 17:57 lainz Status resolved => closed
2010-10-19 17:57 lainz Note Added: 0041917